Name:           redo
Version:        1.4
Release:        1%{?dist}
Summary:        System for building target files from source files

License:        ISC or BSD or MIT
URL:            http://jdebp.eu/Softwares/%{name}/
Source0:        http://jdebp.eu/Repository/debian/dists/stable/main/source/%{name}-%{version}.tar.bz2

BuildRequires:  sed
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  %{_bindir}/pod2man

%description
Daniel J. Bernstein's redo idea is a system for building target files from source files.

This package is a complete reimplementation from the ground up, in a compiled programming
language rather than an interpreted one.

It comprises:

redo — the main utility for rebuilding
redo-ifchange — a secondary utility for rebuilding targets if existing sources change
redo-ifcreate — a secondary utility for rebuilding targets if non-existent sources manifest
cubehash — a utility program that generates hashes of file contents using the same
           parameterization of Bernstein CubeHash as is used by the redo tools to
           check for changes to source and target files manual pages for the above

%prep
%autosetup -c

package/prepare

%build
%set_build_flags

# Inject our build flags into the build process
echo $CXXFLAGS > build/cxxflags
echo $LDFLAGS > build/ldflags

# Make compilation verbose
sed -e "s/-e/-ex/" -i build/{compile,link}

package/make

%install
# Let rpm handle stripping
sed -e "/strip command/d" -i package/makeinstall

package/makeinstall

# Install the correct target paths
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1/

mv command/* %{buildroot}%{_bindir}/
mv manual/* %{buildroot}%{_mandir}/man1/


%files
%license source/COPYING
%{_bindir}/redo*
%{_bindir}/cubehash
%{_mandir}/man1/redo*.1*
%{_mandir}/man1/cubehash.1*


%changelog
* Sun Oct 28 2018 Neal Gompa <ngompa13@gmail.com> - 1.4-1
- Initial packaging
